App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType Enum Reference

## Public Attributes
| LAYER_SELECTED
| LAYER_MASK_SELECTED
| MASTER_MASK_SELECTED
| LAYER_VISIBILITY_CHANGED
| LAYER_MASK_ACTIVE_CHANGED
| MASTER_MASK_APPLIED_CHANGED
| LAYER_OPACITY_CHANGED
| LAYER_MOVED
| LAYER_CREATED
| LAYER_DUPLICATED
| LAYER_DELETED
| LAYER_COPY_BITMAP
| LAYER_MASK_COPY_BITMAP
| MASTER_MASK_COPY_BITMAP
| LAYER_PASTE_BITMAP
| LAYER_MASK_PASTE_BITMAP
| MASTER_MASK_PASTE_BITMAP
| LAYER_CLEAR_BITMAP
| LAYER_MASK_CLEAR_BITMAP
| MASTER_MASK_CLEAR_BITMAP
| LAYER_MASK_FILL_BITMAP
| MASTER_MASK_FILL_BITMAP
| LAYER_MASK_INVERT_BITMAP
| MASTER_MASK_INVERT_BITMAP
| LAYER_ADD_BITMAP
| LAYER_MASK_ADD_BITMAP
| MASTER_MASK_ADD_BITMAP
| LAYER_REMOVE_BITMAP
| LAYER_MASK_REMOVE_BITMAP
| MASTER_MASK_REMOVE_BITMAP
| LAYER_BLEND_BITMAP
| IMAGE_MERGE_LAYERS

## Detailed Description

Definition at line 9 of file ImagePresentationEvent.java.

## Member Data Documentation

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.IMAGE_MERGE_LAYERS

Definition at line 55 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_ADD_BITMAP

Definition at line 45 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_BLEND_BITMAP

Definition at line 53 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_CLEAR_BITMAP

Definition at line 35 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_COPY_BITMAP

Definition at line 27 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_CREATED

Definition at line 22 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_DELETED

Definition at line 25 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_DUPLICATED

Definition at line 23 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_ACTIVE_CHANGED

Definition at line 15 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_ADD_BITMAP

Definition at line 46 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_CLEAR_BITMAP

Definition at line 36 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_COPY_BITMAP

Definition at line 28 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_FILL_BITMAP

Definition at line 39 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_INVERT_BITMAP

Definition at line 42 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_PASTE_BITMAP

Definition at line 32 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_REMOVE_BITMAP

Definition at line 50 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MASK_SELECTED

Definition at line 11 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_MOVED

Definition at line 20 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_OPACITY_CHANGED

Definition at line 18 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_PASTE_BITMAP

Definition at line 31 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_REMOVE_BITMAP

Definition at line 49 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_SELECTED

Definition at line 10 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.LAYER_VISIBILITY_CHANGED

Definition at line 14 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_ADD_BITMAP

Definition at line 47 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_APPLIED_CHANGED

Definition at line 16 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_CLEAR_BITMAP

Definition at line 37 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_COPY_BITMAP

Definition at line 29 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_FILL_BITMAP

Definition at line 40 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_INVERT_BITMAP

Definition at line 43 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_PASTE_BITMAP

Definition at line 33 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_REMOVE_BITMAP

Definition at line 51 of file ImagePresentationEvent.java.

mhr.appandroid.views.imagepresentationview.ImagePresentationEvent.EventType.MASTER_MASK_SELECTED

Definition at line 12 of file ImagePresentationEvent.java.

The documentation for this enum was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appandroid/src/mhr/appandroid/views/imagepresentationview/ImagePresentationEvent.java